# Create checklist item

Create checklist item. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/post-api-ChecklistItem

POST `/ChecklistItem`

Create checklist item. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint cria um novo item de checklist com os dados fornecidos.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters

This operation has no path, query, or header parameters.

## Request body

**Content type:** `application/json` · **Schema:** `ChecklistItemDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>enable</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>prompt</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>maxScore</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>highImportance</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>setScoreToZero</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistGroupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>integrationId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>checklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistItemGroupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistItemScriptId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>canDelete</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Example request



```
curl --request POST \
  --url 'https://api.zild.ai/ChecklistItem' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "enable": true,
  "prompt": "string",
  "maxScore": 0,
  "highImportance": true,
  "setScoreToZero": true,
  "checklistGroupId": 0,
  "integrationId": "string",
  "checklistId": 0,
  "checklistItemGroupId": 0,
  "checklistItemScriptId": 0,
  "canDelete": true
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Item criado com sucesso</td><td><code>application/json</code> · <code>ChecklistItemDto</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "id": 0,
  "name": "string",
  "enable": true,
  "prompt": "string",
  "maxScore": 0,
  "highImportance": true,
  "setScoreToZero": true,
  "checklistGroupId": 0,
  "integrationId": "string",
  "checklistId": 0,
  "checklistItemGroupId": 0,
  "checklistItemScriptId": 0,
  "canDelete": true
}
```



## Data models

`ChecklistItemDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>enable</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>prompt</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>maxScore</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>highImportance</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>setScoreToZero</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistGroupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>integrationId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>checklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistItemGroupId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistItemScriptId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>canDelete</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
